# Source code for azure.mgmt.logic.models.x12_schema_reference

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class X12SchemaReference(Model):
        """X12SchemaReference.

        :param message_id: The message id.
        :type message_id: str
        :param sender_application_id: The sender application id.
        :type sender_application_id: str
        :param schema_version: The schema version.
        :type schema_version: str
        :param schema_name: The schema name.
        :type schema_name: str
        """

        _attribute_map = {
            'message_id': {'key': 'messageId', 'type': 'str'},
            'sender_application_id': {'key': 'senderApplicationId', 'type': 'str'},
            'schema_version': {'key': 'schemaVersion', 'type': 'str'},
            'schema_name': {'key': 'schemaName', 'type': 'str'},
        }

        def __init__(self, message_id=None, sender_application_id=None, schema_version=None, schema_name=None):
            self.message_id = message_id
            self.sender_application_id = sender_application_id
            self.schema_version = schema_version
            self.schema_name = schema_name